#============================
# BODY
#============================
BODY="""\
#!%(pyexec)s

\"\"\"
NAME:
    %(progname)s  

SYNOPSIS:
    %(progname)s [options] filename

DESCRIPTION:
    blah blah blah

OPTIONS:
    -h,--help        this message
    -v,--version     version
    -d,--debug       turn on debug messages
    --bb=xyz         set option bb to xyz

EXAMPLES:
    1. As standalone
        %(progname)s -d myfile
    2. As library
        import %(projname)s
        ...

#Copyright (C) %(year)d  %(author)s %(email)s
#%(url)s
#
%(license_prefix)s

\"\"\"
#===imports======================
import sys,os,getopt,time,string

#===globals======================
modname=\"%(projname)s\"
__version__="0.1"

#--option args--
debug_p=0
#opt_b=None  #string arg, default is undefined

#---positional args, default is empty---
pargs=[]    

#---other---

#===utilities====================
def msg(txt):
    sys.stdout.write(txt)
    sys.stdout.flush()

def debug(ftn,txt):
    if debug_p:
        sys.stdout.write("%%s.%%s:%%s\\n" %% (modname,ftn,txt))
        sys.stdout.flush()

def fatal(ftn,txt):
    msg="%%s.%%s:FATAL:%%s\\n" %% (modname,ftn,txt)
    raise SystemExit, msg
 
def usage():
    print __doc__
#=============================
def main(args):
    print "hello, world"
#-------------------------
if __name__ == '__main__':
    ftn = "main"
    opts,pargs=getopt.getopt(sys.argv[1:],'hvd',
                 ['help','version','debug'])
    for opt in opts:
        if opt[0]=='-h' or opt[0]=='--help':
            print modname+": version="+__version__
            usage()
            sys.exit(0)
        elif opt[0]=='-v' or opt[0]=='--version':
            print modname+": version="+__version__
            sys.exit(0)
        elif opt[0]=='-d' or opt[0]=='--debug':
            debug_p=1

    #---make the object and run it---
    main(pargs)

#===Revision Log===
#Created by mkpythonproj:
#%(timestamp)s  %(author)s  
#
"""
